Skip to content

adminListUserSessions

POST
/admin/list-user-sessions
curl --request POST \
--url https://gymgym.club/api/auth/admin/list-user-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "userId": "example" }'

List user sessions

Media typeapplication/json
object
userId
required

The user id

string
Examplegenerated
{
"userId": "example"
}

List of user sessions

Media typeapplication/json
object
sessions
Array<object>
object
id
required
string
expiresAt
required
string format: date-time
token
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
ipAddress
string
userAgent
string
userId
required
string
impersonatedBy
string
Examplegenerated
{
"sessions": [
{
"expiresAt": "2026-04-15T12:00:00Z",
"token": "example",
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z",
"ipAddress": "example",
"userAgent": "example",
"userId": "example"
}
]
}

Bad Request. Usually due to missing parameters, or invalid parameters.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Unauthorized. Due to missing or invalid authentication.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Forbidden. You do not have permission to access this resource or to perform this action.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Not Found. The requested resource was not found.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Too Many Requests. You have exceeded the rate limit. Try again later.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Internal Server Error. This is a problem with the server that you cannot fix.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}